#code to read wheel & pedals values and send it via Flask to RPI on RC Car

#IMPORTS
import pygame
import requests
import json
#FUNCTIONS
def map(x, in_min, in_max, out_min, out_max):
    return int((x-in_min) * (out_max-out_min) / (in_max-in_min) + out_min)

pygame.init()

# Initialize the joysticks.
pygame.joystick.init()
joystick = pygame.joystick.Joystick(0)
joystick.init()

# Loop until the user clicks the close button.
done = False

while not done:
    # EVENT PROCESSING STEP
    #
    # Possible joystick actions: JOYAXISMOTION, JOYBALLMOTION, JOYBUTTONDOWN,
    # JOYBUTTONUP, JOYHATMOTION
    for event in pygame.event.get():  # User did something.
        if event.type == pygame.JOYBUTTONDOWN:  #button to exit the program (down right on wheel)
            print("Joystick button pressed.")
            done = True  # Flag that we are done so we exit this loop.

    axis0 = joystick.get_axis(0)
    axis1 = joystick.get_axis(1)
    axis0 = round(axis0, 2)
    axis1 = round(axis1, 2)
    servo_angle = map(axis0, -1, 1, 0, 105)
    motor_pwm = map(axis1, -1, 1, 480, -480)
    data = {'servo': servo_angle}
    r = requests.post('http://192.168.1.109:8888/servo', json=json.dumps(data))

    data = {'motor': motor_pwm}
    r = requests.post('http://192.168.1.109:8888/motor', json=json.dumps(data))




pygame.quit()






